> ## Documentation Index
> Fetch the complete documentation index at: https://docs.shoppex.io/llms.txt
> Use this file to discover all available pages before exploring further.

# List customers

> Developer API operation for GET /dev/v1/customers.



## OpenAPI

````yaml /openapi.json get /dev/v1/customers
openapi: 3.0.3
info:
  title: Shoppex Developer API
  description: Mintlify-compatible Developer API reference for Shoppex.
  version: 1.0.0
  contact:
    name: Shoppex Support
    email: support@shoppex.io
    url: https://shoppex.io
servers:
  - url: https://api.shoppex.io
security:
  - bearerAuth: []
paths:
  /dev/v1/customers:
    get:
      tags:
        - Customers
      summary: List customers
      description: Developer API operation for GET /dev/v1/customers.
      operationId: getDevV1Customers
      parameters:
        - name: cursor
          in: query
          required: false
          schema:
            type: string
        - name: limit
          in: query
          required: false
          schema:
            type: string
        - name: search
          in: query
          required: false
          schema:
            type: string
        - name: filters
          in: query
          required: false
          schema:
            type: string
        - name: sorts
          in: query
          required: false
          schema:
            type: string
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    type: array
                    items:
                      type: object
                      additionalProperties: true
                  pagination:
                    type: object
                    properties:
                      next_cursor:
                        type: string
                        nullable: true
                      has_more:
                        type: boolean
                example:
                  data:
                    - id: cus_1
                      shop_id: shop_1
                      email: buyer@example.com
                      name: Berlin Buyer
                      surname: null
                      phone: '+491234567'
                      phone_country_code: null
                      country_code: DE
                      street_address: Teststrasse 1
                      additional_address_info: null
                      city: Berlin
                      postal_code: '10115'
                      state: null
                      affiliate_revenue: 0
                      affiliate_revenue_currency: USD
                      affiliate_revenue_percent: 0
                      customer_balance: 10
                      customer_balance_currency: EUR
                      created_at: 1710686400
                  pagination:
                    next_cursor: null
                    has_more: false
      deprecated: false
      security:
        - bearerAuth: []
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: API Key
      description: Use your Shoppex API key in the Authorization header.

````